#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec2 texCoords;

out vec2 TexCoords;

uniform mat4 VP;
uniform mat4 MVP;
uniform mat4 M;

void main()
{
    gl_Position = VP*M*vec4(position, 1.0f);
	//gl_Position = MVP*vec4(position, 1.0f);
	//gl_Position = vec4(position, 1.0f);
    TexCoords = texCoords;
}