#pragma once
#include <stdio.h>
#include <stdlib.h>

#include "../../External/Include/glew/glew.h"
#include "../../External/Include/glfw/glfw3.h"
#include "../../External/Include/glm/glm.hpp"

#include <iostream>
#include <string>
#include<fstream>
#include<vector>

class LoadShaders{
public:

	LoadShaders();
	~LoadShaders();

	/* loads different vertex and fragment shader*/
	GLuint loadShader(const char* vertex_file_path, const char* fragment_file_path);
	void useShader();

	GLuint getProgramID();

private:
	GLuint programID = 0;

};